# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:		gappa
Version:	0.16.6
Release:	alt1_1
Summary:	Prove programs with floating-point or fixed-point arithmetic

Group:		Office
License:	GPLv2 or CeCILL
URL:		http://gappa.gforge.inria.fr/
Source0:	https://gforge.inria.fr/frs/download.php/32130/%{name}-%{version}.tar.gz
# Adapt to dblatex 0.3.4
Patch0:		%{name}-dblatex.patch

BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires: libgmp-devel libgmp_cxx-devel
BuildRequires:	libmpfr-devel

# For documentation
BuildRequires:	dblatex
BuildRequires:	texlive-fonts-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-fonts-recommended
BuildRequires:	texlive-fonts-recommended
BuildRequires:	texlive-fonts-recommended
BuildRequires:	texlive-fonts-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-latex-recommended
Source44: import.info

%description
Gappa is a tool intended to help verifying and formally prove
properties on numerical programs and circuits handling floating-point
or fixed-point arithmetic.  This tool manipulates logical formulas
stating the enclosures of expressions in some intervals.  Through the
use of rounding operators as part of the expressions, Gappa is specially
designed to deal with formulas that could appear when certifying numerical
codes. In particular, Gappa makes it simple to bound computational errors
due to floating-point arithmetic.  The tool and its documentation were
written by Guillaume Melquiond.

%prep
%setup -q
%patch0

# Help the debuginfo generator find the flex and bison files
ln -s parser/lexer.cpp src/lexer.cpp
ln -s parser/lexer.lpp src/lexer.lpp
ln -s parser/parser.cpp src/parser.cpp
ln -s parser/parser.ypp src/parser.ypp

# Fix encoding
iconv -f latin1 -t utf8 COPYING > COPYING.UTF8 && \
touch -r COPYING COPYING.UTF8 && \
mv COPYING.UTF8 COPYING

# Fix the NEWS (leads to a dblatex crash)
sed -i.orig 's/0\.16\.5;/0.16.5:/' NEWS
touch -r NEWS.orig NEWS
rm -f NEWS.orig

%build
%configure
make %{?_smp_mflags}
# We won't 'make html-doc'; that requires dvi2bitmap, which is unpackaged.
make -C doc gappa.pdf

%check
# Simple test to see if gappa is working at all:
cd src
echo "x * x in [0, 1b2 {4, 2^(2)}]" > ,test1.correct
echo "{ x in [-2,2] -> x * x in ? }" | ./gappa >,test1 2>&1
tail -1 ,test1 > ,test1.short
cmp ,test1.short ,test1.correct

# That simple test worked, so run full test suite:
cd ..
make check


%install
make install DESTDIR=%{buildroot}


%files
%{_bindir}/gappa
%doc AUTHORS COPYING COPYING.GPL README TODO NEWS doc/gappa.pdf


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.16.6-alt1_1
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.16.3-alt1_2
- update to new release by fcimport

* Tue Jan 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.16.3-alt1_1
- initial fc import

